OptionPaneUI (Java SE 25 & JDK 25)
Description: declaration: module: java.desktop, package: javax.swing.plaf, class: OptionPaneUI
Keywords: javax.swing.plaf.OptionPaneUI class

# Class OptionPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.OptionPaneUI

Direct Known Subclasses:
  `BasicOptionPaneUI, MultiOptionPaneUI`

public abstract class OptionPaneUI extends ComponentUI
Pluggable look and feel interface for JOptionPane.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `OptionPaneUI()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `containsCustomComponents(JOptionPane op)`
  Returns true if the user has supplied instances of Component for either the options or message.
  `abstract void`
  `selectInitialValue(JOptionPane op)`
  Requests the component representing the default value to have focus.

  ### Methods declared in class ComponentUI

  `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OptionPaneUI

    protected OptionPaneUI()
    Constructor for subclasses to call.

- ## Method Details

  - ### selectInitialValue

    public abstract void selectInitialValue(JOptionPane op)
    Requests the component representing the default value to have focus.
    Parameters:
      `op` - a `JOptionPane`

  - ### containsCustomComponents

    public abstract boolean containsCustomComponents(JOptionPane op)
    Returns true if the user has supplied instances of Component for either the options or message.
    Parameters:
      `op` - a `JOptionPane`
    Returns:
      `true` if the given `JOptionPane` contains user created `Component`s